curl --request POST \
--url https://api.app.fleetit.com/v2/driver-agreements/{id}/close/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Fleet-Id: <fleet-id>' \
--data '
{
"agreement_end_date": "2025-08-30T18:37:34.000Z"
}
'{
"id": 66,
"vehicle": {
"id": 28016,
"plate_number": "14699ASDF4",
"plate_state": "NJ",
"vehicle_number": "",
"vehicle_make": "Toyota",
"vehicle_model": "Corolla",
"year": "2021",
"lessee_renter": "",
"custom_fields": {},
"vehicle_type_code": null,
"added_date": "2024-05-14T12:11:43.864535-04:00",
"fleet": {
"id": 1,
"region_details": [
{
"id": 1,
"title": "Washington"
}
],
"title": "FleetIT Demo",
"is_active": true,
"billing_type": "POSTPAID",
"onboarding_stage": "COMPLETED",
"warning_threshold_per_vehicle": null,
"deactivation_threshold_per_vehicle": null,
"client": null,
"onboarding_vehicle_order": null
},
"active": false
},
"status": "open",
"agreement_status": "ACTIVE",
"agreement_start_date": "2025-08-16T14:30:00-04:00",
"agreement_end_date": "2025-08-30T14:37:34-04:00",
"date_added": "2025-08-20T11:28:44.086896-04:00",
"last_updated": "2025-08-20T11:28:44.086911-04:00",
"agreement_number": "POWLSSL192192",
"plan": "unlimited",
"driver": 42
}Closes an existing driver agreement by setting the agreement end date.
curl --request POST \
--url https://api.app.fleetit.com/v2/driver-agreements/{id}/close/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Fleet-Id: <fleet-id>' \
--data '
{
"agreement_end_date": "2025-08-30T18:37:34.000Z"
}
'{
"id": 66,
"vehicle": {
"id": 28016,
"plate_number": "14699ASDF4",
"plate_state": "NJ",
"vehicle_number": "",
"vehicle_make": "Toyota",
"vehicle_model": "Corolla",
"year": "2021",
"lessee_renter": "",
"custom_fields": {},
"vehicle_type_code": null,
"added_date": "2024-05-14T12:11:43.864535-04:00",
"fleet": {
"id": 1,
"region_details": [
{
"id": 1,
"title": "Washington"
}
],
"title": "FleetIT Demo",
"is_active": true,
"billing_type": "POSTPAID",
"onboarding_stage": "COMPLETED",
"warning_threshold_per_vehicle": null,
"deactivation_threshold_per_vehicle": null,
"client": null,
"onboarding_vehicle_order": null
},
"active": false
},
"status": "open",
"agreement_status": "ACTIVE",
"agreement_start_date": "2025-08-16T14:30:00-04:00",
"agreement_end_date": "2025-08-30T14:37:34-04:00",
"date_added": "2025-08-20T11:28:44.086896-04:00",
"last_updated": "2025-08-20T11:28:44.086911-04:00",
"agreement_number": "POWLSSL192192",
"plan": "unlimited",
"driver": 42
}agreement_end_date in ISO 8601 format:
{
"agreement_end_date": "2025-08-30T18:37:34.000Z"
}
agreement_end_date should be provided in ISO 8601 format: YYYY-MM-DDTHH:mm:ss.sssZ
Example: 2025-08-30T18:37:34.000ZBearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the Fleet making the request.
123
Unique identifier of the driver agreement to close.
66
End date for the agreement in ISO 8601 format (YYYY-MM-DDTHH:mm:ss.sssZ).
"2025-08-30T18:37:34.000Z"
Driver Agreement Closed Successfully
Unique identifier for the driver agreement.
66
Vehicle associated with the driver agreement. DEPRECATED: This object will be removed in future API versions.
Show child attributes
Current status of the agreement.
"open"
Current status of the agreement.
"ACTIVE"
Start date of the agreement.
"2025-08-16T14:30:00-04:00"
End date of the agreement (updated by this request).
"2025-08-30T14:37:34-04:00"
Date the agreement was added to the system.
"2025-08-20T11:28:44.086896-04:00"
Date the agreement was last updated.
"2025-08-20T11:28:44.086911-04:00"
Unique agreement number.
"POWLSSL192192"
Plan type for the agreement.
"unlimited"
ID of the driver linked to this agreement.
42
Was this page helpful?